real latest install

This commit is contained in:
pvincent
2026-08-22 20:28:31 +04:00
parent da6b317fbd
commit 1e7992c9dd
2 changed files with 4 additions and 8 deletions
+3 -8
View File
@@ -132,11 +132,6 @@ function link_config_files {
link_etc inputrc # last command required to detect successful installation
}
function force_reload {
bind -f /etc/inputrc 2>/dev/null # arch: dismiss harmless warning
# source /etc/profile
}
function in_azerty_zone {
[[ -L /etc/localtime ]] || return 4
@@ -217,9 +212,10 @@ function launch_hooks {
echo "Processing: $hook"
# shellcheck disable=SC1090
if ! source "$hook"; then
>&2 echo 'WARNING: hook failure, bypassed'
if ! miaou-bash "$hook" 3>/dev/null; then
echo 'WARNING: hook failure, bypassed'
fi
echo -----------------
done
}
@@ -237,4 +233,3 @@ link_config_files
link_miaou_bash
create_sudoers
launch_hooks
# force_reload
+1
View File
@@ -57,6 +57,7 @@ function perform_upgrade {
if source /tmp/miaou-bash-install.sh upgrade; then
if [[ $(find "$backup"/hooks.d -maxdepth 1 -type f | wc -l) -gt 0 ]]; then
sudo mv "$backup"/hooks.d/* "$MIAOU_BASH_DIR"/hooks.d/
sudo miaou-bash "$MIAOU_BASH_DIR"/lib/initiate.bash
fi
sudo rm -rf "$backup"
cat <<EOF